Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Class MidiInputDriver

    java.lang.Object
      org.linuxsampler.lscp.AbstractDriver
          org.linuxsampler.lscp.MidiInputDriver

All Implemented Interfaces:
  Driver, Parseable

    public class MidiInputDriver

extends AbstractDriver

This class is used to provide detailed information about a MIDI input driver.

Constructor Summary
`MidiInputDriver()` Creates a new instance of MidiInputDriver
`MidiInputDriver(java.lang.String[] resultSet)` Creates a new instance of MidiInputDriver and parses the detailed information about a MIDI input driver described by `resultSet`.

Method Summary

Methods inherited from class org.linuxsampler.lscp.AbstractDriver
`addParameter, getDescription, getName, getParameterNames, getParameters, getVersion, parse, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MidiInputDriver

    public MidiInputDriver()

  Creates a new instance of MidiInputDriver

### MidiInputDriver

    public MidiInputDriver(java.lang.String[] resultSet)

  Creates a new instance of MidiInputDriver and parses the detailed information about a MIDI input driver described by `resultSet`.

  Parameters:
    `resultSet` - An array with information categories about a MIDI input driver.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.